# Bazaar merge directive format 2 (Bazaar 0.90)
# revision_id: colin@gibibit.com-20080704214001-qgu6baazneqb1ycb
# target_branch: /home/cdb/grub/repo/trunk-clean/
# testament_sha1: 6c53a849d2109fcc3f641a232c6da97758aee9cd
# timestamp: 2008-07-04 14:41:20 -0700
# source_branch: http://grub.gibibit.com/bzr/trunk-clean
# base_revision_id: colin@gibibit.com-20080704180626-bbrj490ldahovosg
# 
# Begin patch
=== modified file 'Makefile.in'
--- Makefile.in	2008-07-02 18:03:23 +0000
+++ Makefile.in	2008-07-04 21:40:01 +0000
@@ -85,6 +85,39 @@
 YACC = @YACC@
 UNIFONT_HEX = @UNIFONT_HEX@
 
+### Pretty output control ###
+# Set up compiler and linker commands that either is quiet (does not print
+# the command line being executed) or verbose (print the command line).
+_CC := $(CC)
+_TARGET_CC := $(TARGET_CC)
+_STRIP := $(STRIP)
+_GENMODSRC := sh $(srcdir)/genmodsrc.sh
+ifeq ($(V),1)
+ override V_PREFIX :=
+ override CC = $(_CC)
+ override TARGET_CC = $(_CC)
+ override STRIP = $(_STRIP)
+ override GENMODSRC = $(_GENMODSRC)
+ override INFO_GENCMDLIST =
+ override INFO_GENFSLIST =
+ override INFO_GENPARTMAPLIST =
+ override INFO_GEN_FINAL_COMMAND_LIST =
+ override INFO_GEN_FINAL_FS_LIST =
+ override INFO_GEN_FINAL_PARTMAP_LIST =
+else
+ override V_PREFIX := @
+ override CC = @echo "COMPILE         $<"; $(_CC)
+ override TARGET_CC = @echo "COMPILE(TARGET) $<"; $(_TARGET_CC)
+ override STRIP = @echo "STRIP           $@"; $(_STRIP)
+ override GENMODSRC = @echo "GENMODSRC       $@"; $(_GENMODSRC)
+ override INFO_GENCMDLIST = @echo "GENCMDLIST      $@"
+ override INFO_GENFSLIST = @echo "GENFSLIST       $@"
+ override INFO_GENPARTMAPLIST = @echo "GENPARTMAPLIST  $@"
+ override INFO_GEN_FINAL_COMMAND_LIST = @echo "GENCMDLIST[final]  $@"
+ override INFO_GEN_FINAL_FS_LIST = @echo "GENFSLIST[final]   $@"
+ override INFO_GEN_FINAL_PARTMAP_LIST = @echo "GENPARTMAPLIST[final]  $@"
+endif
+
 # Options.
 enable_grub_emu = @enable_grub_emu@
 enable_grub_fstest = @enable_grub_fstest@
@@ -131,13 +164,16 @@
 	  || (rm -f $@; exit 1)
 
 command.lst: $(COMMANDFILES)
-	cat $^ /dev/null | sort > $@
+	$(INFO_GEN_FINAL_COMMAND_LIST)
+	$(V_PREFIX)cat $^ /dev/null | sort > $@
 
 fs.lst: $(FSFILES)
-	cat $^ /dev/null | sort > $@
+	$(INFO_GEN_FINAL_FS_LIST)
+	$(V_PREFIX)cat $^ /dev/null | sort > $@
 
 partmap.lst: $(PARTMAPFILES)
-	cat $^ /dev/null | sort > $@
+	$(INFO_GEN_FINAL_PARTMAP_LIST)
+	$(V_PREFIX)cat $^ /dev/null | sort > $@
 
 ifeq (, $(UNIFONT_HEX))
 else

=== modified file 'genmk.rb'
--- genmk.rb	2008-07-02 18:03:23 +0000
+++ genmk.rb	2008-07-04 21:40:01 +0000
@@ -125,7 +125,7 @@
 	$(TARGET_CC) $(TARGET_CPPFLAGS) $(TARGET_CFLAGS) $(#{prefix}_CFLAGS) -c -o $@ $<
 
 #{mod_src}: moddep.lst genmodsrc.sh
-	sh $(srcdir)/genmodsrc.sh '#{mod_name}' $< > $@ || (rm -f $@; exit 1)
+	$(GENMODSRC) '#{mod_name}' $< > $@ || (rm -f $@; exit 1)
 
 ifneq ($(#{prefix}_EXPORTS),no)
 #{defsym}: #{pre_obj}
@@ -157,18 +157,21 @@
 PARTMAPFILES += #{partmap}
 
 #{command}: #{src} $(#{src}_DEPENDENCIES) gencmdlist.sh
-	set -e; \
-	  $(TARGET_CC) -I#{dir} -I$(srcdir)/#{dir} $(TARGET_CPPFLAGS) $(TARGET_#{flag}) $(#{prefix}_#{flag}) -E $< \
+	$(INFO_GENCMDLIST)
+	$(V_PREFIX)set -e; \
+	  $(_TARGET_CC) -I#{dir} -I$(srcdir)/#{dir} $(TARGET_CPPFLAGS) $(TARGET_#{flag}) $(#{prefix}_#{flag}) -E $< \
 	  | sh $(srcdir)/gencmdlist.sh #{symbolic_name} > $@ || (rm -f $@; exit 1)
 
 #{fs}: #{src} $(#{src}_DEPENDENCIES) genfslist.sh
-	set -e; \
-	  $(TARGET_CC) -I#{dir} -I$(srcdir)/#{dir} $(TARGET_CPPFLAGS) $(TARGET_#{flag}) $(#{prefix}_#{flag}) -E $< \
+	$(INFO_GENFSLIST)
+	$(V_PREFIX)set -e; \
+	  $(_TARGET_CC) -I#{dir} -I$(srcdir)/#{dir} $(TARGET_CPPFLAGS) $(TARGET_#{flag}) $(#{prefix}_#{flag}) -E $< \
 	  | sh $(srcdir)/genfslist.sh #{symbolic_name} > $@ || (rm -f $@; exit 1)
 
 #{partmap}: #{src} $(#{src}_DEPENDENCIES) genpartmaplist.sh
-	set -e; \
-	  $(TARGET_CC) -I#{dir} -I$(srcdir)/#{dir} $(TARGET_CPPFLAGS) $(TARGET_#{flag}) $(#{prefix}_#{flag}) -E $< \
+	$(INFO_GENPARTMAPLIST)
+	$(V_PREFIX)set -e; \
+	  $(_TARGET_CC) -I#{dir} -I$(srcdir)/#{dir} $(TARGET_CPPFLAGS) $(TARGET_#{flag}) $(#{prefix}_#{flag}) -E $< \
 	  | sh $(srcdir)/genpartmaplist.sh #{symbolic_name} > $@ || (rm -f $@; exit 1)
 
 

# Begin bundle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